Buildroot: %{_builddir}/%{name}-root
Name: unicore-uvos-webauth
Version: 1.6.0
Release: 0.sl5
Summary: UVOS SAML WWW authentication extension
License: BSD
Distribution: RedHat
Group: System Environment/Daemons
URL: http://uvos.chemomentum.org
Requires: unicore-uvos-server >= 1.4.0 
BuildArch: noarch
Packager: Piotr Piernik <unicore-support@lists.sourceforge.net>
BuildRequires: subversion  
BuildRequires: maven  
BuildRequires: java-1.6.0-openjdk-devel 
Source0 : unicore-uvos-webauth-1.6.0-0.src.tar.gz

%description
UVOS webauth is a UVOS server extension providing 
implementation of HTTP POST binding of SAML Authentication 
protocol. It is useful when portals or other WWW sites 
should authenticate their users using UVOS server. 
Such a site redirects client's web browser to the 
uvos-webauth, user logins there and appropriate
response is returned to the originating site (where client's 
web browser is redirected back).

%changelog
* Sat Jun 18 2011 Krzysztof Benedyczak <unicore-support@lists.sourceforge.net> 
-File perms fixes
* Wed Feb 10 2010 Piotr Piernik <unicore-support@lists.sourceforge.net>
- Created rpm. 

%prep 
%setup -q -c . 
%build
%install 
rm -rf $RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_ROOT 
 
mvn -q package -Ppackman -Dmaven.test.skip -Dmaven.repo.local=`pwd`/maven-repo -Dpackage.version=1.6.0 -Dpackage.release=0 -Ddistribution=RedHat -Dpackage.config.dir=src/main/package -Dpackage.type=prep.src.rpm -DindexJars -B; 
cp -r target/RedHat/RPMS/builddir/* $RPM_BUILD_ROOT 
%clean 
rm -rf $RPM_BUILD_ROOT


%files
%defattr(644, root, root, 755)

#
# Documentation and samples
#
%dir "/usr/share/doc/unicore/uvos-webauth/"
"/usr/share/doc/unicore/uvos-webauth/*"

#
#war files
#
%attr(640 unicore unicore) "/var/lib/unicore/uvos-server/webapps/*.war"






